TESTJ1939(1)

NAME
testj1939 - manual page for testj1939 2023.03-1

SYNOPSIS
testj1939 [OPTIONS] FROM TO

DESCRIPTION
testj1939: demonstrate j1939 use

FROM / TO
    - or [IFACE][:[SA][,[PGN][,NAME]]]

OPTIONS

-v  Print relevant API calls

-s[=LEN]
    Initial send of LEN bytes dummy data

-r  Receive (and print) data

-e  Echo incoming packets back This actually receives packets

-c  Issue connect()

-p=PRIO
    Set priority to PRIO

-P  Promiscuous mode. Allow to receive all packets

-b  Do normal bind with SA+1 and rebind with actual SA

-B  Allow to send and receive broadcast packets.

-o  Omit bind

-n  Emit 64bit NAMEs in output

-w[TIME]
    Return after TIME (default 1) seconds

EXAMPLES
testj1939 can1 20